WSDiscovery11::Elements::EndpointReference(3pm)

NAME
WSDiscovery::Elements::EndpointReference

DESCRIPTION
Perl data type class for the XML Schema defined element EndpointReference from the namespace http://www.w3.org/2005/08/addressing.

METHODS

  new
 my $element = WSDiscovery::Elements::EndpointReference->new($data);

Constructor. The following data structure may be passed to new():

 { # WSDiscovery::Types::EndpointReferenceType
   Address =>  { value => $some_value },
   ReferenceParameters =>  { # WSDiscovery::Types::ReferenceParametersType
   },
   Metadata =>  { # WSDiscovery::Types::MetadataType
   },
 },

AUTHOR
Generated by SOAP::WSDL